Bug 1283373 - [Wayland] Firefox crashes when dragging tabs on (X)Wayland
[Wayland] Firefox crashes when dragging tabs on (X)Wayland
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: WaylandRelated
  Show dependency treegraph
 
Reported: 2015-11-18 15:20 EST by Christian Stadelmann
Modified: 2015-12-16 13:24 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 13:24:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A gdb backtrace of firefox (202.18 KB, text/plain)
2015-11-18 15:20 EST, Christian Stadelmann
no flags Details

  None (edit)
Description Christian Stadelmann 2015-11-18 15:20:58 EST
Created attachment 1096279 [details]
A gdb backtrace of firefox

Version-Release number of selected component (if applicable):
firefox-42.0-2.fc23.x86_64

How reproducible:
Always on XWayland (in a gnome+wayland session), even with a fresh firefox profile

Steps to Reproduce:
1. open firefox
2. open 2 or more tabs
3. drag tab by mouse

Actual results:
Firefox crashes

Expected results:
Firefox should not crash

Additional info:
See attached backtrace as described in https://fedoraproject.org/wiki/Debugging_guidelines_for_Mozilla_products
Comment 1 Martin Stransky 2015-11-19 03:06:44 EST
Crash in dk_display_get_pointer() - moving.
Comment 2 Christian Stadelmann 2015-12-16 13:24:55 EST
Works fine with 
firefox-42.0-2.fc23.x86_64
gtk3-3.18.6-1.fc23.x86_64
glib2-2.46.2-1.fc23.x86_64

Note You need to log in before you can comment on or make changes to this bug.